Bug 142670 - CAN-2004-1137 IGMP flaws
Summary: CAN-2004-1137 IGMP flaws
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,embargo=20041214
Keywords: Security
: 143428 (view as bug list)
Depends On:
Blocks: 144195
TreeView+ depends on / blocked
 
Reported: 2004-12-12 10:47 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 17:20:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Patch from Chris Wright (1.97 KB, patch)
2004-12-12 10:47 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:092 important SHIPPED_LIVE Important: kernel security update 2005-02-18 05:00:00 UTC

Description Mark J. Cox 2004-12-12 10:47:33 UTC
isec.pl reported to vendor-sec some flaws in igmp handling which could allow a
local user to cause a kernel deadlock or crash.  They also say it's likely that
you could gain privileges using this flaw.  Looks like only 2.4.22 and above are
affected.

Embargo until 20041214

Comment 1 Mark J. Cox 2004-12-12 10:47:33 UTC
Created attachment 108399 [details]
Proposed Patch from Chris Wright

Comment 2 Mark J. Cox 2004-12-12 10:49:15 UTC
"important" impact so according to the guidelines classfies as a blocker

Comment 6 Mark J. Cox 2004-12-21 19:05:02 UTC
Removing embargo

Comment 7 Mark J. Cox 2004-12-21 19:07:08 UTC
*** Bug 143428 has been marked as a duplicate of this bug. ***

Comment 8 Josh Bressers 2005-02-18 17:20:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-092.html



Note You need to log in before you can comment on or make changes to this bug.